classification
Title: Add tracemalloc.Traceback.format() method
Type: Stage:
Components: Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gvanrossum, haypo, larry, neologix, python-dev
Priority: release blocker Keywords: patch

Created on 2014-02-13 11:43 by haypo, last changed 2014-03-17 06:30 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
traceback_format.patch haypo, 2014-02-13 11:43 review
Messages (5)
msg211147 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-02-13 11:43
Attached patch adds a Traceback.format() to the new tracemalloc module.

Since the tracemalloc is new in Python 3.4 and my patch adds a new (simple and tested) method, I consider that it's not so late to add it :-)

I chose a different API than traceback.format_tb() because I would like to use directly print or use functions of the logging module (logging doesn't expect newlines).

I set the priority to release blocker because I want to know Larry's opinion on this issue.

@Larry: Change the priority if you consider that it's really too late for such change.
msg211151 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-02-13 11:53
Victor: at this point I'm cherry-picking all revisions that will go into rc2 / final.
msg211152 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-02-13 12:15
> Victor: at this point I'm cherry-picking all revisions that will go into rc2 / final.

So would like to cherry-pick such addition?
msg211368 - (view) Author: Roundup Robot (python-dev) Date: 2014-02-16 22:54
New changeset d50a95fab002 by Victor Stinner in branch 'default':
Issue #20616: Add a format() method to tracemalloc.Traceback.
http://hg.python.org/cpython/rev/d50a95fab002
msg213792 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-17 06:30
New changeset 132821b65e22 by Victor Stinner in branch '3.4':
Issue #20616: Add a format() method to tracemalloc.Traceback.
http://hg.python.org/cpython/rev/132821b65e22
History
Date User Action Args
2014-03-17 06:30:40python-devsetmessages: + msg213792
2014-02-17 01:37:00hayposetstatus: open -> closed
resolution: fixed
2014-02-16 22:54:38python-devsetnosy: + python-dev
messages: + msg211368
2014-02-13 12:15:10hayposetmessages: + msg211152
2014-02-13 11:53:40larrysetmessages: + msg211151
2014-02-13 11:43:40haypocreate